## ros-noetic-cob-command-tools 0.6.31

=== debian/changelog ===
ros-noetic-cob-command-tools (0.6.31-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.30-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.29-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.28-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.27-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.26-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.25-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.24-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.23-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.22-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.21-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.20-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.19-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.18-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.17-1buster) buster; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.16-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.15-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.14-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.13-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.12-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.11-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.10-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.9-1buster) buster; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #202 <https://github.com/ipa320/cob_command_tools/issues/202> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.6-1buster) buster; urgency=high

  * add auto_recover to new cob_helper_tools pkg
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.5-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.3-1buster) buster; urgency=high

  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.1-1buster) buster; urgency=high

  * merge
  * rename finished
  * move cob_monitoring
  * missed dependency
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-noetic-cob-command-tools (0.5.2-1buster) buster; urgency=high

  * Update package.xml
  * Contributors: Florian Weisshardt



## ros-noetic-cob-command-tools 0.6.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_command_tools)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-cob-command-tools (0.6.32-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.31-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.30-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.29-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.28-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.27-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.26-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.25-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.24-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.23-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.22-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.21-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.20-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.19-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.18-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.17-1focal) focal; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.16-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.15-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.14-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.13-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.12-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.11-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.10-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.9-1focal) focal; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.8-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #202 <https://github.com/ipa320/cob_command_tools/issues/202> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.6-1focal) focal; urgency=high

  * add auto_recover to new cob_helper_tools pkg
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.5-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.4-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.3-1focal) focal; urgency=high

  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.2-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-command-tools (0.6.1-1focal) focal; urgency=high

  * merge
  * rename finished
  * move cob_monitoring
  * missed dependency
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-command-tools (0.6.0-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-noetic-cob-command-tools (0.5.2-1focal) focal; urgency=high

  * Update package.xml


=== debian/control ===
Source: ros-noetic-cob-command-tools
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/cob_command_tools
Standards-Version: 3.9.2

Package: ros-noetic-cob-command-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-command-gui, ros-noetic-cob-dashboard, ros-noetic-cob-helper-tools, ros-noetic-cob-interactive-teleop, ros-noetic-cob-monitoring, ros-noetic-cob-script-server, ros-noetic-cob-teleop
Description: The cob_command_tools stack provides tools, for operating Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-command-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
